Subject: Re: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Oct 2023 10:09:42 +0300

> Date: Wed, 25 Oct 2023 20:48:04 -0700
> From: Jim Porter <[email-masked]>
> Cc: [email-masked], [email-masked],
>  Po Lu <[email-masked]>, Dmitry Gutov <[email-masked]>,
>  [email-masked], Eli Zaretskii <[email-masked]>
> 
> On 10/25/2023 6:19 PM, Jim Porter wrote:
> > I'll start with a patch here then. I think this is also a prime spot to 
> > add an example or two that would actually show lexical binding in action 
> > (i.e. a sample where the code would do something different under dynamic 
> > binding).
> 
> Here's a first attempt. I'm not sure I'm entirely happy with it (the 
> digression into setting 'lexical-binding' to 't' is a bit disruptive), 
> but hopefully it's an improvement. Of course, we can keep adjusting this 
> further as needed.

Thanks.

The challenge in updating the Lisp Introduction manual is to try to
keep its informal and reader-friendly style as much as possible.  It
is not just another ELisp Reference manual!  So please try to keep
that in mind when you write the text, and in particular try not to
modify the existing text that is still accurate -- it was written by a
master, and each word there counts, even if it looks at first sight as
not important.